// @formatter:off
define([
  "dojo/_base/declare",
  "dojo/_base/lang",
  "dojo/on",
  "dojo/i18n!./nls/languageResource",
  "dojo/text!./Settings.html",

  "dijit/_TemplatedMixin",
  "dijit/_WidgetsInTemplateMixin",

  "blueconic/api/widgets/insights/_BaseInsightSettings"

// @formatter:on
], function(declare, lang, on, langResource, template, _TemplatedMixin, _WidgetsInTemplateMixin, _BaseInsightSettings) {

  return declare("insight_explanation.Settings", [_BaseInsightSettings, _TemplatedMixin, _WidgetsInTemplateMixin], {
    templateString: template,
    i18n: langResource,

    // injected
    parameters: null,

    postCreate: function() {
      this.inherited(arguments);
      this._explanationInput.set("value", this.parameters.getValue("explanation"));
    },

    getParameters: function() {
      this.parameters.setValue("explanation", this._explanationInput.get("value"));
      return this.parameters;
    }

  });
});
